/**
 * URLs for API calls.
 */
export const API_URLS = {
  LOGIN: 'https://www.norsk-tipping.no:443/mobile-channel/api/login/v1/fnr/',
  BETS: 'https://www.norsk-tipping.no:443/mobile-channel/api/bets/',
  BETS_REDELIVER:
    'https://www.norsk-tipping.no:443/mobile-channel/api/bets/redeliver',
  BETS_ATTR:
    'https://www.norsk-tipping.no:443/mobile-channel/api/bets/attributes',
  INFO: 'https://www.norsk-tipping.no:443/mobile-channel/api/customer/info',
  BALANCE:
    'https://www.norsk-tipping.no:443/mobile-channel/api/customer/balance'
};

/**
 * Host for cookies.
 */
export const COOKIE_HOST = 'https://www.norsk-tipping.no';

/**
 * Game details.
 */
export const GAME = {
  LOTTO: {
    NAME: 'lotto',
    ID: 1,
    ROW_LENGTH: 7,
    ROW_PRICE: 5,
    MAX_NUMBERS: 34
  },
  EUROJACKPOT: {
    NAME: 'eurojackpot',
    ID: 16,
    ROW_LENGTH: 5,
    ROW_PRICE: 25,
    MAX_NUMBERS: 50,
    MAX_EXTRA: 10,
    EXTRA_LENGTH: 2
  },
  VIKINGLOTTO: {
    NAME: 'vikinglotto',
    ID: 18,
    ROW_LENGTH: 6,
    ROW_PRICE: 6,
    MAX_NUMBERS: 48,
    MAX_EXTRA: 8,
    EXTRA_LENGTH: 1
  },
  JOKER: {
    NAME: 'joker',
    NAME_SAT: 'joker lørdag',
    ID_SAT: 6,
    NAME_WED: 'joker onsdag',
    ID_WED: 7
  }
};

/**
 * SMS information.
 */
export const SMS = {
  URL: 'https://gatewayapi.com/rest/mtsms',
  CONSUMER_KEY: 'OCDWmWmP6cdCA6UebfQOO5Zi',
  CONSUMER_SECRET: '8xIe(F6!o6@AwBEv^svQ4Ull(dMaPYn6vTMsS5yU',
  SENDER: 'Tippingen'
};

/**
 * Surface capability.
 */
export const CAPABILITY = 'actions.capability.SCREEN_OUTPUT';

/**
 * Error codes that may appear when doing a purchase.
 */
export const ERRORCODES = {
  NOT_LOGGED_IN: '1007',
  INSUFF_FUNDS: '200.1003.',
  RG_DENIED: '200.1009.'
};

/**
 * Options for NewSurface().
 */
export const NEW_SURFACE = {
  NOTIFICATION: 'Skriv inn fødselsnummer',
  CAPABILITIES: [CAPABILITY]
};
